#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Mail Transport Service
Name:           kmailtransport
Version: 17.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiMime) >= 5.3.0
BuildRequires:  cmake(KPimSMTP)

BuildRequires:  boost-devel

BuildRequires:  pkgconfig(libsasl2)

Recommends:     %{name}-handbook

Conflicts:      kdepimlibs4-core < 2:4.14.10-9
Requires:       akonadi-contacts

Obsoletes:      kio5-smtp < 17.04.3-1
Provides:       kio5-smtp = %version-%release

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Mail Transport Service.

%files -f %name.lang
%_kf5_sysconfdir/xdg/kmailtransport.categories
%_kf5_sysconfdir/xdg/kmailtransport.renamecategories
%_qt5_plugindir/kcm_mailtransport.so
%dir %_qt5_plugindir/mailtransport/
%_qt5_plugindir/mailtransport/mailtransport_akonadiplugin.so
%_qt5_plugindir/mailtransport/mailtransport_smtpplugin.so
%_kf5_datadir/config.kcfg/mailtransport.kcfg
%_kf5_services/kcm_mailtransport.desktop

#------------------------------------------------------------------------------

%define kmailtransport_major 5
%define libkmailtransport %mklibname kf5mailtransport %{kmailtransport_major}

%package -n %libkmailtransport
Summary:      Mail Transport Service
Group:        System/Libraries

Obsoletes:    %{_lib}kf5mailtransport4 < 16.03.80

%description -n %libkmailtransport
Mail Transport Service.

%files -n %libkmailtransport
%_kf5_libdir/libKF5MailTransport.so.%{kmailtransport_major}*

#------------------------------------------------------------------------------

%define kmailtransportakonadi_major 5
%define libkmailtransportakonadi %mklibname kf5mailtransportakonadi %{kmailtransportakonadi_major}

%package -n %libkmailtransportakonadi
Summary:      Mail Transport Service
Group:        System/Libraries

%description -n %libkmailtransportakonadi
Mail Transport Service.

%files -n %libkmailtransportakonadi
%_kf5_libdir/libKF5MailTransportAkonadi.so.%{kmailtransportakonadi_major}*

#--------------------------------------------------------------------

%define kmailtransport_devel %mklibname kf5mailtransport -d

%package -n %kmailtransport_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkmailtransport = %version-%release
Requires:       %libkmailtransportakonadi = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kmailtransport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kmailtransport_devel
%_kf5_includedir/MailTransport/
%_kf5_includedir/MailTransportAkonadi/
%_kf5_includedir/mailtransport/
%_kf5_includedir/mailtransportakonadi/
%_kf5_includedir/mailtransport_version.h
%_kf5_includedir/mailtransportakonadi_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5MailTransport/
%_kf5_libdir/cmake/KF5MailTransportAkonadi/
%_qt5_prefix/mkspecs/modules/qt_KMailTransport.pri
%_qt5_prefix/mkspecs/modules/qt_KMailTransportAkonadi.pri

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1202291
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090089
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076829
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073685
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067349
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061408
- New version 16.08.2

* Fri Sep 09 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050990
- New version 16.08.1

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-3.mga6
+ Revision: 1049144
- kio5-smtp requires akonadi-contacts

* Tue Aug 23 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1047978
- rebuild to regenerate rpms
- add subpackage kio5-smtp no more provided by kdepimlibs
- add subpackage kmailtransport-handbook and conflicts kdepimlibs-handbooks

  + neoclust <neoclust>
    - New version 16.08.0

* Thu Aug 18 2016 neoclust <neoclust> 16.04.3-2.mga6
+ Revision: 1046768
- Fix conflicts to ease upgrade from mga5

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040075
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012561
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004351
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996462
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991197
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987466
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922635
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911948
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-3.mga6
+ Revision: 907068
- Rebuild on ARM

* Thu Nov 26 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 906303
- Rebuild against new akonadi

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905406
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901142
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890623
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880435
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865953
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863698
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861766
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858746
- Fix devel package name

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858552
- imported package kmailtransport

